=== debian/changelog ===
pass-import (3.2) unstable; urgency=medium

  * Release pass-import v3.2

 -- Alexandre Pujol <alexandre@pujol.io>  Sun, 16 May 2021 15:11:08 +0000

pass-import (3.1-1) unstable; urgency=medium

  * pass-import 3.1

 -- Alexandre Pujol <alexandre@pujol.io>  Fri, 25 Oct 2020 22:06:30 +0100

pass-import (3.0-1) unstable; urgency=medium

  * Initial release

 -- Alexandre Pujol <alexandre@pujol.io>  Fri, 24 Apr 2020 20:30:06 +0100
