=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pass-import

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "Skip tests"
